<div class="recepti ">
  <div class="ui input focus" style="margin-right: 2%;">
    <input class="unos" type="text" placeholder="Search..." #inputName>
  </div>

  <div class="ui simple compact selection dropdown meal" style="min-width: 100px; margin-right: 1%;overflow:visible;z-index: 5;">
    <i class="dropdown icon"></i>
    <div class="text">Meal type</div>
    <div class="menu">
      <div class="item" data-value="any">Any</div>
      <div class="item" data-value="breakfast">Breakfast</div>
      <div class="item" data-value="lunch">Lunch</div>
      <div class="item" data-value="dinner">Dinner</div>
      <div class="item" data-value="desert">Dessert</div>
      <div class="item" data-value="snack">Snack</div>
    </div>
  </div>

  <div class="ui simple compact selection dropdown difficulty" style="min-width: 105px; margin-right: 1%;z-index: 5;">
    <i class="dropdown icon"></i>
    <div class="text">Difficulty</div>
    <div class="menu">
      <div class="item" data-value="any">Any</div>
      <div class="item" data-value="easy">Easy</div>
      <div class="item" data-value="more effort">More effort</div>
    </div>
  </div>

  <div class="ui input">
    <input  class="prep_time_mins" type="text" placeholder="Prep time" style="width: 100px;" maxlength="3" #inputTime>
  </div>

  <button class="ui right floated button" (click)="setFilters()">Search</button>

  <div class="ui hidden divider"></div>

  <div class="ui multiple dropdown category">
    <input type="hidden" name="filters">
    <i class="filter icon"></i>
    <span class="text">Category</span>
    <div class="menu">
      <div class="scrolling menu">
        <div class="item" data-value="high-protein">
          <div class="ui red empty circular label"></div>
          High Protein
        </div>
        <div class="item" data-value="gluten-free">
          <div class="ui blue empty circular label"></div>
          Gluten free
        </div>
        <div class="item" data-value="dairy-free">
          <div class="ui blue empty circular label"></div>
          Dairy free
        </div>
        <div class="item" data-value="egg-free">
          <div class="ui blue empty circular label"></div>
          Egg free
        </div>
        <div class="item" data-value="vegetarian">
          <div class="ui green empty circular label"></div>
          Vegetarian
        </div>
        <div class="item" data-value="vegan">
          <div class="ui green empty circular label"></div>
          Vegan
        </div>
        <div class="item" data-value="salad">
          <div class="ui green empty circular label"></div>
          Salad
        </div>
        <div class="item" data-value="healthy">
          <div class="ui green empty circular label"></div>
          Healthy
        </div>
        <div class="item" data-value="paleo">
          <div class="ui green empty circular label"></div>
          Paleo
        </div>
        <div class="item" data-value="keto">
          <div class="ui green empty circular label"></div>
          Keto
        </div>
        <div class="item" data-value="sweet">
          <div class="ui pink empty circular label"></div>
          Sweet
        </div>
      </div>
    </div>
  </div>
</div>

<div class="ui hidden divider"></div>

<app-recipe-info [recipes]="recipes"></app-recipe-info>
